<?php
/**
 * The Sidebar containing the main widget areas.
 *
 * @package bikashsoft charity Theme
 */
?>

<?php 
global $post, $bikashsoft_options;
$bikashsoft_settings = get_option( 'bikashsoft_options', $bikashsoft_options );
$project_category = $bikashsoft_settings['project_cat'];
$show_projects = $bikashsoft_settings['leftsidebar_show_latest_projects'];
$testimonial_category = $bikashsoft_settings['testimonial_cat'];
$show_testimonials = $bikashsoft_settings['leftsidebar_show_testimonials'];
$post_class = "";

if(!empty($post)){
	if(is_front_page()){
		$post_id = get_option('page_on_front');
	}else{
		$post_id = $post->ID;
	}
	$post_class = get_post_meta( $post_id, 'bikashsoft_sidebar_layout', true );
}

if($post_class=='left-sidebar' || $post_class=='both-sidebar' ){
?><div class="col-md-4 col-sm-4">
	<div id="secondary-left" class="widget-area left-sidebar sidebar">
			<?php
			if($show_projects==1) {
				if(!empty($project_category)){
				$loop = new WP_Query( array(
	                'cat' => $project_category,
	                'posts_per_page' => 3,
	            )); ?>
	        <aside id="latest-projects" class="clearfix">
	        <h3 class="widget-title"><?php echo get_cat_name(esc_attr($project_category)); ?><?php if(!empty($bikashsoft_settings['view_all_text'])){ ?>
	        <a class="all-projects pull-right sidebtn" href="<?php echo get_category_link( esc_attr($project_category) ) ?>"><?php echo esc_html($bikashsoft_settings['view_all_text']); ?></a>
	        <?php } ?></h3>

	        <?php while ($loop->have_posts()) : $loop->the_post(); ?>

	        	<div class="project-list clearfix">
	        		
	        		<figure class="project-thumbnail">
						<a href="<?php the_permalink(); ?>">
						 <?php
              if(has_post_thumbnail() ) {
                the_post_thumbnail('sidebar-testimonial');
            
                ?>
						<?php } else { ?>
							<img src="<?php echo get_template_directory_uri(); ?>/images/thumbnail.jpg" alt="<?php the_title(); ?>">
						<?php } ?>
						
						
						</a>
					</figure>	

					<div class="project-detail">
		        		<h4 class="project-title">
		        			<a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
		        		</h4>
<div class="project-date">
							<span class="project-date-day"><?php echo get_the_date('j'); ?></span>
							<span class="project-date-month"><?php echo get_the_date('M'); ?>,</span>
                            <span class="project-date-year"><?php echo get_the_date('Y'); ?></span>
						</div>
		        		<div class="project-excerpt">
		        			<?php echo bikashsoft_excerpt( get_the_content() , 50 ) ?>
		        		</div>
	        		</div>
	        	</div>
	        <?php endwhile; ?>
	        
	        <?php wp_reset_postdata(); ?>
	        </aside>
	        <?php
	        } else { ?>
	        <aside id="latest-projects" class="clearfix">
	        <h3 class="widget-title">Latest projects  <a class="all-projects pull-right sidebtn" href="#">View All</a></h3>
		        <?php for ( $project_count=1 ; $project_count < 4 ; $project_count++ ) { ?>
		        <div class="project-list clearfix">
						<figure class="project-thumbnail">
							<a href="#"><img src="<?php echo get_template_directory_uri().'/images/thumbnail.jpg'; ?>" alt="<?php echo 'project'.$project_count; ?>">
							
							</a>
						</figure>	

						<div class="project-detail">
			        		<h4 class="project-title">
			        			<a href="#">Title of the project-<?php echo $project_count; ?></a>
			        		</h4>
<div class="project-date">
								<span class="project-date-day"><?php echo $project_count; ?></span>
								<span class="project-date-month"><?php echo "Mar"; ?></span>
                                <span class="project-date-year"><?php echo "2016"; ?></span>
							</div>
			        		<div class="project-excerpt">
			        			Lorem Ipsum is simply dummy text of the printing and..
			        		</div>
		        		</div>
		        	</div>
		        <?php } ?>
		      
		        </aside>
	        <?php } 
	        }?>


        <?php wp_reset_query(); ?>
        
	    <?php if($show_testimonials == 1){ ?>
		<aside class="widget testimonial-sidebar clearfix">
 		<?php
			
			if(!empty($testimonial_category)) { ?>
			<h3 class="widget-title"><?php echo get_cat_name(esc_attr($testimonial_category)); ?><?php if(!empty($bikashsoft_settings['view_all_text'])){ ?>
            <a class="all-testimonial pull-right sidebtn" href="<?php echo get_category_link( esc_attr($testimonial_category) ) ?>"><?php echo esc_attr($bikashsoft_settings['view_all_text']); ?></a>
            <?php } ?>
	        </h3>
			<?php
	            $loop = new WP_Query( array(
	                'cat' => $testimonial_category,
	                'posts_per_page' => 3,
	            )); ?>
	        <div class="testimonial-wrap">
		        <?php while ($loop->have_posts()) : $loop->the_post(); ?>

			        <div class="testimonial-list">
			        	<div class="testimonial-thumbnail">
			        		<?php 
                            if(has_post_thumbnail()){
                            the_post_thumbnail('thumbnail'); 
                            }else{ ?>
                                <img src="<?php echo get_template_directory_uri(); ?>/images/thumbnail.jpg" alt="no-image"/>
                            <?php }?>
		        		</div>
                        <div class="testimoinal-client-name"><?php the_title(); ?></div>
			        	<div class="testimonial-excerpt">
			        		<?php echo bikashsoft_excerpt( get_the_content() , 90 ) ?>
			        	</div>
			        	<div class="clearfix"></div>
					
					</div>
			<?php endwhile; ?>
	        </div>
	        
	        <?php wp_reset_postdata(); 
			}else{ 
			$client_name=array("","Linda Lee","George Bailey","Micheal Warner");
			?>
			<div class="testimonial-wrap">
			<h3 class="widget-title">Testimonial<a class="all-testimonial pull-right sidebtn" href="#">View All</a></h3>
				<?php for ($testimonial_count=1 ; $testimonial_count < 4 ; $testimonial_count++) { ?>
			        	<div class="testimonial-list clearfix">
			        		<div class="testimonial-thumbnail">
			        		<img src="<?php echo get_template_directory_uri().'/images/thumbnail.jpg' ?>" alt="<?php echo $client_name[$testimonial_count]; ?>">
			        		</div>

			        		<div class="testimonial-excerpt">
			        			Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer..
			        		</div>
			        		<div class="clearfix"></div>
			        	<div class="testimoinal-client-name"><?php echo $client_name[$testimonial_count]; ?></div>
			        	</div>
						
				<?php } ?>
				</div>
			
			<?php } ?>
			</aside>
			<?php } ?>
		

		<?php if ( is_active_sidebar( 'left-sidebar' ) ) : ?>
			<?php dynamic_sidebar( 'left-sidebar' ); ?>
		<?php endif; ?>
	</div><!-- #secondary -->
    </div>
<?php } ?>